summaryrefslogtreecommitdiff
path: root/debian/apt.postinst
diff options
context:
space:
mode:
authorMichael Vogt <mvo@ubuntu.com>2014-10-07 16:38:03 +0200
committerMichael Vogt <mvo@ubuntu.com>2014-10-07 16:38:03 +0200
commit4d0818cc39f7c0d44ecdfcdf9701058f81caa492 (patch)
tree63eaa546ba527209d2b2068d188800e5e4872093 /debian/apt.postinst
parentea7682a0d91fee638eef06b63045b1499ddf50ac (diff)
parent00a06b8eb82cf930511fc003bd16d7034e5a0cb5 (diff)
Merge remote-tracking branch 'upstream/debian/experimental' into feature/acq-trans
Conflicts: apt-pkg/acquire-item.cc
Diffstat (limited to 'debian/apt.postinst')
-rwxr-xr-xdebian/apt.postinst6
1 files changed, 5 insertions, 1 deletions
diff --git a/debian/apt.postinst b/debian/apt.postinst
index b8f3edbe5..b0a5da7d8 100755
--- a/debian/apt.postinst
+++ b/debian/apt.postinst
@@ -15,13 +15,17 @@ set -e
case "$1" in
configure)
- if dpkg --compare-versions "$2" lt 1.0.7; then
+ if dpkg --compare-versions "$2" lt 1.1~exp4; then
# apt-key before 0.9.10 could leave empty keyrings around
find /etc/apt/trusted.gpg.d/ -name '*.gpg' | while read keyring; do
if ! test -s "$keyring"; then
rm -f "$keyring"
fi
done
+ # apt-key before 0.9.8.2 could create 0600 trusted.gpg file
+ if test -e /etc/apt/trusted.gpg ; then
+ chmod -f 0644 /etc/apt/trusted.gpg || true
+ fi
fi
if dpkg --compare-versions "$2" lt-nl 0.9.9.5; then